## GtkAspectFrame

GtkAspectFrame

## Functions

GtkWidget * | gtk_aspect_frame_new ()
void | gtk_aspect_frame_set ()

## Properties

gboolean | obey-child | Read / Write
gfloat | ratio | Read / Write
gfloat | xalign | Read / Write
gfloat | yalign | Read / Write

## Types and Values

struct | GtkAspectFrame

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkFrame
                                ╰── GtkAspectFrame

## Implemented Interfaces

GtkAspectFrame implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_aspect_frame_new ()

    GtkWidget *
    gtk_aspect_frame_new (const gchar *label,
                          gfloat xalign,
                          gfloat yalign,
                          gfloat ratio,
                          gboolean obey_child);

### gtk_aspect_frame_set ()

    void
    gtk_aspect_frame_set (GtkAspectFrame *aspect_frame,
                          gfloat xalign,
                          gfloat yalign,
                          gfloat ratio,
                          gboolean obey_child);

## Types and Values

### struct GtkAspectFrame

    struct GtkAspectFrame;

## Property Details

### The `“obey-child”` property

      “obey-child”               gboolean

Force aspect ratio to match that of the frame's child.

Flags: Read / Write

Default value: TRUE

### The `“ratio”` property

      “ratio”                    gfloat

Aspect ratio if obey_child is FALSE.

Flags: Read / Write

Allowed values: [0.0001,10000]

Default value: 1

### The `“xalign”` property

      “xalign”                   gfloat

X alignment of the child.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.5

### The `“yalign”` property

      “yalign”                   gfloat

Y alignment of the child.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.5